libstdc++: std::seed_seq Class Reference

libstdc++

std::seed_seq Class Reference
Numerics » Random Number Generation » Random Number Utilities

`#include <random>`

## Public Types
typedef uint_least32_t | result_type

## Public Member Functions
| seed_seq () noexcept
template<typename _InputIterator>
| seed_seq (_InputIterator __begin, _InputIterator __end)
| seed_seq (const seed_seq &)=delete
template<typename _IntType, typename = _Require<is_integral<_IntType>>>
| seed_seq (std::initializer_list< _IntType > __il)
template<typename _RandomAccessIterator>
void | generate (_RandomAccessIterator __begin, _RandomAccessIterator __end)
seed_seq & | operator= (const seed_seq &)=delete
template<typename _OutputIterator>
void | param (_OutputIterator __dest) const
size_t | size () const noexcept

## Detailed Description

The seed_seq class generates sequences of seeds for random number generators.

Since
  C++11

Definition at line 7102 of file random.h.

## Member Typedef Documentation

## ◆ result_type

typedef uint_least32_t std::seed_seq::result_type

The type of the seed vales.

Definition at line 7106 of file random.h.

## Constructor & Destructor Documentation

## ◆ seed_seq() [1/3]

std::seed_seq::seed_seq | ( |  | ) |
| inlinenoexcept

Default constructor.

Definition at line 7109 of file random.h.

## ◆ seed_seq() [2/3]

template<typename _IntType, typename>

std::seed_seq::seed_seq | ( | std::initializer_list< _IntType > | __il | ) |

Definition at line 3547 of file bits/random.tcc.

## ◆ seed_seq() [3/3]

template<typename _InputIterator>

std::seed_seq::seed_seq | ( | _InputIterator | __begin,
|  | _InputIterator | __end )

Definition at line 3556 of file bits/random.tcc.

## Member Function Documentation

## ◆ generate()

template<typename _RandomAccessIterator>

void std::seed_seq::generate | ( | _RandomAccessIterator | __begin,
|  | _RandomAccessIterator | __end )

Definition at line 3571 of file bits/random.tcc.

## ◆ param()

template<typename _OutputIterator>

void std::seed_seq::param | ( | _OutputIterator | __dest | ) | const
| inline

Definition at line 7130 of file random.h.

## ◆ size()

size_t std::seed_seq::size | ( |  | ) | const
| inlinenoexcept

Definition at line 7125 of file random.h.

The documentation for this class was generated from the following files:

- random.h
- bits/random.tcc